Home

Execute multiple call traces

POST
https://eth-archive.nownodes.io/

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

The trace_callMany method allows executing multiple call operations in a single request and returns the full trace of each call execution. This is useful for debugging and analyzing multiple transaction calls.

Body

application/json

The trace_callMany method allows executing multiple call operations in a single request and returns the full trace of each call execution. This is useful for debugging and analyzing multiple transaction calls.

Request payload for Execute multiple call traces.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringrequired

JSON-RPC method name.

paramsArray<any>required

Method parameters. params[0] is an array of call sets. Each call set is an array of call items. A call item is a 2-element array: [callObject, traceTypes]. params[1] is the block tag.

idintegerrequired

Client-provided request identifier.

Response

200OK

Response returned by trace_callMany.

400Bad Request

Invalid request parameters

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal server error